%define gamelibdir	%{_libdir}/games/%{name}
Name:           worldofpadman
Version:        1.6
Release:        %mkrel 7
Summary:        World Of Padman - Comic 3D-Shooter
Group:          Games/Shooter
URL:            http://worldofpadman.com/website/
License:        GPLv2+
Source0:        %{name}-%{version}-src.zip
Source1:        %{name}.desktop
Source2:        wop.png
BuildRequires:	SDL-devel 
BuildRequires:	openal-devel 
BuildRequires:	curl-devel 
BuildRequires:	jpeg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	speex-devel
BuildRequires:	zlib-devel
BuildRequires:	imagemagick
Requires:	%{name}-data = %{version}


%description
World of Padman (WoP) is a first-person shooter computer game available in
both English and German. The idea is based on the Padman comic strip for the
magazine PlayStation Games created by the professional cartoon artist Andreas
'ENTE' Endres, who is also the man who made many of the maps included with the
game in 1998. Most of the maps in the game are Lilliput style.

%files
%{_gamesbindir}/%{name}
%dir %{gamelibdir}
%{gamelibdir}/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop

#----------------------------------------------------------------

%package server
Group:		Games/Shooter
Summary:	Dedicated server for World of Padman
Requires:	%{name}-data => %{version}

%description server
This package contains the dedicated server for World of Padman.

%files server
%{gamelibdir}/wopded.*

#----------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}_svn2178-src

%build
#Remove bunbled libs and use system libs
rm -fr code/libcurl
rm -fr code/SDL12
rm -fr code/zlib
rm -fr code/libspeex
rm -fr code/jpeg-8c

%make \
	DEFAULT_BASEDIR=%{_gamesdatadir}/%{name}/ \
	BUILD_CLIENT=YES \
	BUILD_SERVER=YES \
	BUILD_SND_OPENAL=YES \
	BUILD_SND_QF=YES \
	USE_INTERNAL_SPEEX=0 \
        USE_INTERNAL_ZLIB=0 \
	USE_INTERNAL_JPEG=0 \
	USE_LOCAL_HEADERS=0 \
	DEBUG_BUILD=NO

%install
%make	\
	copyfiles USE_LOCAL_HEADERS=0 \
        USE_INTERNAL_SPEEX=0 \
	USE_INTERNAL_ZLIB=0 \
	USE_INTERNAL_JPEG=0 \
	COPYDIR=%{buildroot}%{gamelibdir}

mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,64x64,128x128,256x256}/apps

binary=`basename %{buildroot}%{gamelibdir}/wop.*`

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh
cd %{gamelibdir}
exec ./$binary \$*
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
convert -scale 128x128 %{SOURCE2}  %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32x32 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

cp %SOURCE1 "%{buildroot}%{_datadir}/applications/"


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.6-7.mga5
+ Revision: 739959
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-6.mga5.nonfree
+ Revision: 690368
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1.6-5.mga4.nonfree
+ Revision: 548538
- Mageia 4 rebuild

* Wed Mar 06 2013 juancho <juancho> 1.6-4.mga3.nonfree
+ Revision: 401570
- Removed BR on worldofpadman-data

* Wed Mar 06 2013 juancho <juancho> 1.6-4.mga3
+ Revision: 401518
- Added build option DEFAULT_BASEDIR to fix bug #9245: the game can't find the game base dir

* Wed Feb 27 2013 juancho <juancho> 1.6-3.mga3
+ Revision: 400461
- Changed to use the WoP 1.6 engine instead of ioquake3 (along with the new worldofpadman-data package and not the autodownloader)

* Mon Jan 14 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 385849
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 juancho <juancho> 1.6-1.mga2
+ Revision: 208610
- Incomplete commit to update to 1.6
- Updated to 1.6
- Changed autodownloader title
- Updated download links, some of them were broken.
- Changed window title.

* Wed Dec 07 2011 juancho <juancho> 1.5-1.mga2
+ Revision: 178497
- Added missing BuildRequires: desktop-file-utils
- Use the %%{name} macro instead of name in some places
- imported package worldofpadman

